# WOK
TKCPPJini
CPPJini

# CPPJini_DataMapOfAsciiStringInteger Class Reference

`#include <CPPJini_DataMapOfAsciiStringInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CPPJini_DataMapOfAsciiStringInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT CPPJini_DataMapOfAsciiStringInteger & | Assign (const CPPJini_DataMapOfAsciiStringInteger &Other)
CPPJini_DataMapOfAsciiStringInteger & | operator= (const CPPJini_DataMapOfAsciiStringInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~CPPJini_DataMapOfAsciiStringInteger ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const Standard_Integer & | Find (const TCollection_AsciiString &K) const
const Standard_Integer & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const TCollection_AsciiString &K)
Standard_Integer & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | CPPJini_DataMapOfAsciiStringInteger (const CPPJini_DataMapOfAsciiStringInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT CPPJini_DataMapOfAsciiStringInteger::CPPJini_DataMapOfAsciiStringInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

CPPJini_DataMapOfAsciiStringInteger::~CPPJini_DataMapOfAsciiStringInteger | ( |  | ) | `[inline]`

Standard_EXPORT CPPJini_DataMapOfAsciiStringInteger::CPPJini_DataMapOfAsciiStringInteger | ( | const CPPJini_DataMapOfAsciiStringInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT CPPJini_DataMapOfAsciiStringInteger& CPPJini_DataMapOfAsciiStringInteger::Assign | ( | const CPPJini_DataMapOfAsciiStringInteger & | Other | ) |

Standard_EXPORT Standard_Boolean CPPJini_DataMapOfAsciiStringInteger::Bind | ( | const TCollection_AsciiString & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& CPPJini_DataMapOfAsciiStringInteger::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void CPPJini_DataMapOfAsciiStringInteger::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& CPPJini_DataMapOfAsciiStringInteger::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean CPPJini_DataMapOfAsciiStringInteger::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void CPPJini_DataMapOfAsciiStringInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CPPJini_DataMapOfAsciiStringInteger::operator new | ( | size_t | size | ) | `[inline]`

void* CPPJini_DataMapOfAsciiStringInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& CPPJini_DataMapOfAsciiStringInteger::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const Standard_Integer& CPPJini_DataMapOfAsciiStringInteger::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

CPPJini_DataMapOfAsciiStringInteger& CPPJini_DataMapOfAsciiStringInteger::operator= | ( | const CPPJini_DataMapOfAsciiStringInteger & | Other | ) | `[inline]`

Standard_EXPORT void CPPJini_DataMapOfAsciiStringInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean CPPJini_DataMapOfAsciiStringInteger::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- CPPJini_DataMapOfAsciiStringInteger.hxx